<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="STEP" id="0">
  <actions>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">
if (status == IDLE) {
  // nothing
} else if (status == DROP) {
  if (counter &gt; 0) {
    counter -= 1;
  } else {
    counter = 3;
    y += 1;
  }
  yVel = 0;
  if (collision_point(x+8, y+17, oSolid, 0, 0)) status = WAIT;
  if (sprite_index == sBlock) sprite_index = sCeilingTrapS;
} else if (status == WAIT) {
  yVel = 0;
  if (isCollisionBottom(1)) y -= 1;
}
</argument>
      </arguments>
    </action>
  </actions>
</event>
